diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
index aa5eab8f5..c61d9f810 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenStats.java
@@ -1,8 +1,11 @@
 package net.minecraft.client.gui;
 
 import net.minecraft.client.Minecraft;
+import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.Shaders;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.achievement.stat.*;
 import net.minecraft.core.lang.I18n;
@@ -12,8 +15,6 @@ import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
-import org.lwjgl.opengl.GL12;
 
 import java.util.*;
 
@@ -33,164 +34,136 @@ public class ScreenStats extends Screen {
     private final StatsCounter statsCounter;
     private ScrolledSelectionList selectionList;
 
-    public ScreenStats(Screen parent, StatsCounter statsCounter)
-    {
-        title = I18n.getInstance().translateKey("gui.statistics.label.title");
-        selectionList = null;
+    public ScreenStats(Screen parent, StatsCounter statsCounter) {
+        this.title = I18n.getInstance().translateKey("gui.statistics.label.title");
+        this.selectionList = null;
         this.parent = parent;
         this.statsCounter = statsCounter;
-        tooltip = new TooltipElement(Minecraft.getMinecraft());
+        this.tooltip = new TooltipElement(Minecraft.getMinecraft());
     }
 
     @Override
-	public void init()
-    {
-        generalStatisticsList = new GeneralStatisticsList();
-        itemStatisticsList = new ItemStatisticsList();
-        blockStatisticsList = new BlockStatisticsList();
-        selectionList = generalStatisticsList;
+    public void init() {
+        this.generalStatisticsList = new GeneralStatisticsList();
+        this.itemStatisticsList = new ItemStatisticsList();
+        this.blockStatisticsList = new BlockStatisticsList();
+        this.selectionList = this.generalStatisticsList;
         createButtons();
     }
 
-    public void createButtons()
-    {
+    public void createButtons() {
         I18n i18n = I18n.getInstance();
-        buttons.add(new ButtonElement(0, width / 2 + 4, height - 28, 150, 20, i18n.translateKey("gui.statistics.button.done")));
-        buttons.add(new ButtonElement(1, width / 2 - 154, height - 52, 100, 20, i18n.translateKey("gui.statistics.button.general")));
+        this.buttons.add(new ButtonElement(0, this.width / 2 + 4, this.height - 28, 150, 20, i18n.translateKey("gui.statistics.button.done")));
+        this.buttons.add(new ButtonElement(1, this.width / 2 - 154, this.height - 52, 100, 20, i18n.translateKey("gui.statistics.button.general")));
         ButtonElement blocksButton;
-        buttons.add(blocksButton = new ButtonElement(2, width / 2 - 46, height - 52, 100, 20, i18n.translateKey("gui.statistics.button.blocks")));
+        this.buttons.add(blocksButton = new ButtonElement(2, this.width / 2 - 46, this.height - 52, 100, 20, i18n.translateKey("gui.statistics.button.blocks")));
         ButtonElement itemsButton;
-        buttons.add(itemsButton = new ButtonElement(3, width / 2 + 62, height - 52, 100, 20, i18n.translateKey("gui.statistics.button.items")));
-        if(blockStatisticsList.getItemCount() == 0)
-        {
+        this.buttons.add(itemsButton = new ButtonElement(3, this.width / 2 + 62, this.height - 52, 100, 20, i18n.translateKey("gui.statistics.button.items")));
+        if (this.blockStatisticsList.getItemCount() == 0) {
             blocksButton.enabled = false;
         }
-        if(itemStatisticsList.getItemCount() == 0)
-        {
+        if (this.itemStatisticsList.getItemCount() == 0) {
             itemsButton.enabled = false;
         }
     }
 
     @Override
-	protected void buttonClicked(@NotNull ButtonElement button)
-    {
-        if(!button.enabled)
-        {
+    protected void buttonClicked(@NotNull ButtonElement button) {
+        if (!button.enabled) {
             return;
         }
-        if(button.id == 0)
-        {
-            mc.displayScreen(parent);
-        } else
-        if(button.id == 1)
-        {
-            selectionList = generalStatisticsList;
-        } else
-        if(button.id == 3)
-        {
-            selectionList = itemStatisticsList;
-        } else
-        if(button.id == 2)
-        {
-            selectionList = blockStatisticsList;
+        if (button.id == 0) {
+            this.mc.displayScreen(this.parent);
+        } else if (button.id == 1) {
+            this.selectionList = this.generalStatisticsList;
+        } else if (button.id == 3) {
+            this.selectionList = this.itemStatisticsList;
+        } else if (button.id == 2) {
+            this.selectionList = this.blockStatisticsList;
         }
     }
 
     @Override
-	public void render(int mx, int my, float partialTick)
-    {
-        selectionList.render(mx, my, partialTick);
-        drawStringCenteredShadow(fontRenderer, title, width / 2, 20, 0xffffff);
+    public void render(int mx, int my, float partialTick) {
+        this.selectionList.render(mx, my, partialTick);
+        drawStringCenteredShadow(this.fontRenderer, this.title, this.width / 2, 20, 0xffffff);
         super.render(mx, my, partialTick);
     }
 
-    private void renderItemAsIcon(int x, int y, int itemID)
-    {
+    private void renderItemAsIcon(int x, int y, int itemID) {
         renderBackgroundIcon(x + 1, y + 1);
-        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
+//        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
         Lighting.enableInventoryLight();
         Item item = Item.itemsList[itemID];
-        ItemModelDispatcher.getInstance().getDispatch(item).renderGui(Tessellator.instance, null, item.getDefaultStack(), x + 2, y + 2, 1f, 1f, 1f);
+        ItemModelDispatcher.getInstance().getDispatch(item).renderGui(GLRenderer.getTessellator(), null, item.getDefaultStack(), x + 2, y + 2, LightmapHelper.getLightmapCoord(15, 15), 1f);
         Lighting.disable();
-        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
+//        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
     }
 
-    private void renderBackgroundIcon(int x, int y)
-    {
-        GL11.glColor4f(1f, 1f, 1f, 1f);
+    private void renderBackgroundIcon(int x, int y) {
+        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
         drawGuiIcon(x, y, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
     }
 
-    abstract class StatsSelectionList extends ScrolledSelectionList
-    {
+    abstract class StatsSelectionList extends ScrolledSelectionList {
         protected int clickedColumn;
         protected List<StatItem> statsList;
         protected Comparator<StatItem> statsSorter;
         public int sortingColumn;
         public int sortingMode;
 
-        protected StatsSelectionList()
-        {
-            super(mc, width, height, 32, height - 64, 20);
-            clickedColumn = -1;
-            sortingColumn = -1;
-            sortingMode = 0;
+        protected StatsSelectionList() {
+            super(ScreenStats.this.mc, ScreenStats.this.width, ScreenStats.this.height, 32, ScreenStats.this.height - 64, 20);
+            this.clickedColumn = -1;
+            this.sortingColumn = -1;
+            this.sortingMode = 0;
             setRenderSelection(false);
             setRenderHeader(true, 20);
         }
 
         @Override
-        protected void selectItem(int itemIndex, boolean doubleClicked)
-        {
+        protected void selectItem(int itemIndex, boolean doubleClicked) {
         }
 
         @Override
-        protected boolean isSelectedItem(int itemIndex)
-        {
+        protected boolean isSelectedItem(int itemIndex) {
             return false;
         }
 
         @Override
-        protected void renderHoleBackground()
-        {
+        protected void renderHoleBackground() {
             renderBackground();
         }
 
         @Override
-        protected void renderHeader(int x, int y, Tessellator tessellator)
-        {
-            if(!Mouse.isButtonDown(0))
-            {
-                clickedColumn = -1;
+        protected void renderHeader(int x, int y, TessellatorGeneral tessellator) {
+            if (!Mouse.isButtonDown(0)) {
+                this.clickedColumn = -1;
             }
-            if(clickedColumn == 0) {
+            if (this.clickedColumn == 0) {
                 drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
                 drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
-            if(clickedColumn == 1) {
+            if (this.clickedColumn == 1) {
                 drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
                 drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
-            if(clickedColumn == 2) {
+            if (this.clickedColumn == 2) {
                 drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot"));
             } else {
                 drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/slot_raised"));
             }
-            if(sortingColumn != -1)
-            {
+            if (this.sortingColumn != -1) {
                 int c = COLUMN0_RIGHT - COLUMN_BUTTON_SIZE;
                 boolean up = false;
-                if(sortingColumn == 1)
-                {
+                if (this.sortingColumn == 1) {
                     c = COLUMN1_RIGHT - COLUMN_BUTTON_SIZE;
-                } else if(sortingColumn == 2)
-                {
+                } else if (this.sortingColumn == 2) {
                     c = COLUMN2_RIGHT - COLUMN_BUTTON_SIZE;
                 }
-                if(sortingMode == 1)
-                {
+                if (this.sortingMode == 1) {
                     up = true;
                 }
                 drawGuiIcon(x + c, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/arrow_" + (up ? "up" : "down")));
@@ -198,222 +171,190 @@ public class ScreenStats extends Screen {
         }
 
         @Override
-        protected void clickedHeader(int x, int y)
-        {
-            clickedColumn = -1;
-            if(x >= COLUMN0_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN0_RIGHT)
-            {
-                clickedColumn = 0;
-            } else
-            if(x >= COLUMN1_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN1_RIGHT)
-            {
-                clickedColumn = 1;
-            } else
-            if(x >= COLUMN2_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN2_RIGHT)
-            {
-                clickedColumn = 2;
+        protected void clickedHeader(int x, int y) {
+            this.clickedColumn = -1;
+            if (x >= COLUMN0_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN0_RIGHT) {
+                this.clickedColumn = 0;
+            } else if (x >= COLUMN1_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN1_RIGHT) {
+                this.clickedColumn = 1;
+            } else if (x >= COLUMN2_RIGHT - COLUMN_BUTTON_SIZE && x < COLUMN2_RIGHT) {
+                this.clickedColumn = 2;
             }
-            if(clickedColumn >= 0)
-            {
-                clickedColumn(clickedColumn);
-                mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
+            if (this.clickedColumn >= 0) {
+                clickedColumn(this.clickedColumn);
+                ScreenStats.this.mc.sndManager.playSound("random.click", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
             }
         }
 
         @Override
-        protected final int getItemCount()
-        {
-            return statsList.size();
+        protected final int getItemCount() {
+            return this.statsList.size();
         }
 
-        protected final StatItem getStat(int index)
-        {
-            return statsList.get(index);
+        protected final StatItem getStat(int index) {
+            return this.statsList.get(index);
         }
 
         protected abstract String getTooltipKey(int column);
 
-        protected void renderStatValue(StatItem statItem, int x, int y, boolean white)
-        {
-            if(statItem != null)
-            {
-                String s = statItem.getFormattedValue(statsCounter.readStat(statItem));
-                drawStringShadow(fontRenderer, s, x - MathHelper.ceil(fontRenderer.stringWidthDouble(s)), y + 5, white ? 0xffffff : 0x909090);
-            } else
-            {
+        protected void renderStatValue(StatItem statItem, int x, int y, boolean white) {
+            if (statItem != null) {
+                String s = statItem.getFormattedValue(ScreenStats.this.statsCounter.readStat(statItem));
+                drawStringShadow(ScreenStats.this.fontRenderer, s, x - MathHelper.ceil(ScreenStats.this.fontRenderer.stringWidthDouble(s)), y + 5, white ? 0xffffff : 0x909090);
+            } else {
                 String s1 = "-";
-                drawStringShadow(fontRenderer, s1, x - MathHelper.ceil(fontRenderer.stringWidthDouble(s1)), y + 5, white ? 0xffffff : 0x909090);
+                drawStringShadow(ScreenStats.this.fontRenderer, s1, x - MathHelper.ceil(ScreenStats.this.fontRenderer.stringWidthDouble(s1)), y + 5, white ? 0xffffff : 0x909090);
             }
         }
 
         @Override
-        protected void renderDecorations(int x, int y)
-        {
-            GL11.glEnable(GL11.GL_TEXTURE_2D);
-            GL11.glShadeModel(GL11.GL_FLAT);
-            GL11.glEnable(GL11.GL_ALPHA_TEST);
-            if(y < y0 || y > y1)
-            {
-                return;
-            }
-            int row = getItemAtPosition(x, y);
-            int statsListLeft = width / 2 - 92 - 16;
-            if(row >= 0) { // If in darkened middle section (stats list)
-                if(x < statsListLeft + 40 || x > statsListLeft + 40 + 20) { // Return if not hovering over item icon column
+        protected void renderDecorations(int x, int y) {
+//            GL11.glEnable(GL11.GL_TEXTURE_2D);
+//            GL11.glShadeModel(GL11.GL_FLAT);
+//            GL11.glEnable(GL11.GL_ALPHA_TEST);
+            try {
+                GLRenderer.pushFrame();
+                GLRenderer.setShader(Shaders.INTERFACE);
+                if (y < this.y0 || y > this.y1) {
                     return;
                 }
-                StatItem statItem = getStat(row);
-                renderStatItemTooltip(statItem, x, y);
-            } else
-            {
-                String s;
-                if(x >= (statsListLeft + COLUMN0_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN0_RIGHT) {
-                    s = getTooltipKey(0);
-                } else if(x >= (statsListLeft + COLUMN1_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN1_RIGHT) {
-                    s = getTooltipKey(1);
-                } else if(x >= (statsListLeft + COLUMN2_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN2_RIGHT) {
-                    s = getTooltipKey(2);
+                int row = getItemAtPosition(x, y);
+                int statsListLeft = ScreenStats.this.width / 2 - 92 - 16;
+                if (row >= 0) { // If in darkened middle section (stats list)
+                    if (x < statsListLeft + 40 || x > statsListLeft + 40 + 20) { // Return if not hovering over item icon column
+                        return;
+                    }
+                    StatItem statItem = getStat(row);
+                    renderStatItemTooltip(statItem, x, y);
                 } else {
-                    return;
+                    String s;
+                    if (x >= (statsListLeft + COLUMN0_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN0_RIGHT) {
+                        s = getTooltipKey(0);
+                    } else if (x >= (statsListLeft + COLUMN1_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN1_RIGHT) {
+                        s = getTooltipKey(1);
+                    } else if (x >= (statsListLeft + COLUMN2_RIGHT) - STATS_ICON_SIZE && x <= statsListLeft + COLUMN2_RIGHT) {
+                        s = getTooltipKey(2);
+                    } else {
+                        return;
+                    }
+                    s = I18n.getInstance().translateKey(s).trim();
+                    ScreenStats.this.tooltip.render(s, x, y, 8, -8);
                 }
-                s = I18n.getInstance().translateKey(s).trim();
-                tooltip.render(s, x, y, 8, -8);
+            } finally {
+                GLRenderer.popFrame();
             }
         }
 
-        protected void renderStatItemTooltip(StatItem statItem, int x, int y)
-        {
-            if(statItem == null) {
+        protected void renderStatItemTooltip(StatItem statItem, int x, int y) {
+            if (statItem == null) {
                 return;
             }
             Item item = statItem.getItem();
             String s = I18n.getInstance().translateKey(item.getKey() + ".name").trim();
-            tooltip.render(s, x, y, 8, -8);
+            ScreenStats.this.tooltip.render(s, x, y, 8, -8);
         }
 
-        protected void clickedColumn(int column)
-        {
-            if(column != sortingColumn)
-            {
-                sortingColumn = column;
-                sortingMode = -1;
-            } else if(sortingMode == -1)
-            {
-                sortingMode = 1;
+        protected void clickedColumn(int column) {
+            if (column != this.sortingColumn) {
+                this.sortingColumn = column;
+                this.sortingMode = -1;
+            } else if (this.sortingMode == -1) {
+                this.sortingMode = 1;
             } else {
-                sortingColumn = -1;
-                sortingMode = 0;
+                this.sortingColumn = -1;
+                this.sortingMode = 0;
             }
-            statsList.sort(statsSorter);
+            this.statsList.sort(this.statsSorter);
         }
     }
 
-    class GeneralStatisticsList extends ScrolledSelectionList
-    {
+    class GeneralStatisticsList extends ScrolledSelectionList {
 
-        public GeneralStatisticsList()
-        {
-            super(mc, width, height, 32, height - 64, 10);
+        public GeneralStatisticsList() {
+            super(ScreenStats.this.mc, ScreenStats.this.width, ScreenStats.this.height, 32, ScreenStats.this.height - 64, 10);
             setRenderSelection(false);
         }
 
         @Override
-        protected int getItemCount()
-        {
+        protected int getItemCount() {
             return StatList.basicStats.size();
         }
 
         @Override
-        protected void selectItem(int itemIndex, boolean doubleClicked)
-        {
+        protected void selectItem(int itemIndex, boolean doubleClicked) {
         }
 
         @Override
-        protected boolean isSelectedItem(int itemIndex)
-        {
+        protected boolean isSelectedItem(int itemIndex) {
             return false;
         }
 
         @Override
-        protected int getMaxPosition()
-        {
+        protected int getMaxPosition() {
             return getItemCount() * 10;
         }
 
         @Override
-        protected void renderHoleBackground()
-        {
+        protected void renderHoleBackground() {
             renderBackground();
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
-        {
+        protected void renderItem(int index, int x, int y, int height, TessellatorGeneral tessellator) {
             Stat stat = StatList.basicStats.get(index);
-            drawStringShadow(fontRenderer, stat.getStatName(), x + 2, y + 1, index % 2 != 0 ? 0x909090 : 0xffffff);
-            String s = stat.getFormattedValue(statsCounter.readStat(stat));
-            drawStringShadow(fontRenderer, s, (x + 2 + 213) - MathHelper.ceil(fontRenderer.stringWidthDouble(s)), y + 1, index % 2 != 0 ? 0x909090 : 0xffffff);
+            drawStringShadow(ScreenStats.this.fontRenderer, stat.getStatName(), x + 2, y + 1, index % 2 != 0 ? 0x909090 : 0xffffff);
+            String s = stat.getFormattedValue(ScreenStats.this.statsCounter.readStat(stat));
+            drawStringShadow(ScreenStats.this.fontRenderer, s, (x + 2 + 213) - MathHelper.ceil(ScreenStats.this.fontRenderer.stringWidthDouble(s)), y + 1, index % 2 != 0 ? 0x909090 : 0xffffff);
         }
     }
 
-    public class ItemStatisticsList extends StatsSelectionList
-    {
+    public class ItemStatisticsList extends StatsSelectionList {
 
-        public ItemStatisticsList()
-        {
-            statsList = new ArrayList<>();
+        public ItemStatisticsList() {
+            this.statsList = new ArrayList<>();
             for (Stat stat : StatList.usedItemStats) {
                 StatItem statItem = (StatItem) stat;
                 boolean flag = false;
                 int i = statItem.getItemID();
                 Stat broken = statItem.getItem().getStat(StatList.STAT_DEPLETED);
                 Stat crafted = statItem.getItem().getStat(StatList.STAT_CRAFTED);
-                if (statsCounter.readStat(statItem) > 0) {
+                if (ScreenStats.this.statsCounter.readStat(statItem) > 0) {
                     flag = true;
-                } else if (broken != null && statsCounter.readStat(broken) > 0) {
+                } else if (broken != null && ScreenStats.this.statsCounter.readStat(broken) > 0) {
                     flag = true;
-                } else if (crafted != null && statsCounter.readStat(crafted) > 0) {
+                } else if (crafted != null && ScreenStats.this.statsCounter.readStat(crafted) > 0) {
                     flag = true;
                 }
                 if (flag) {
-                    statsList.add(statItem);
+                    this.statsList.add(statItem);
                 }
             }
-            statsSorter = (stat1, stat2) -> {
+            this.statsSorter = (stat1, stat2) -> {
                 int id1 = stat1.getItemID();
                 int id2 = stat2.getItemID();
                 Stat statbase1 = null;
                 Stat statbase2 = null;
-                if(sortingColumn == 0)
-                {
+                if (this.sortingColumn == 0) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_DEPLETED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_DEPLETED);
-                } else
-                if(sortingColumn == 1)
-                {
+                } else if (this.sortingColumn == 1) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_CRAFTED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_CRAFTED);
-                } else
-                if(sortingColumn == 2)
-                {
+                } else if (this.sortingColumn == 2) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_USED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_USED);
                 }
-                if(statbase1 != null || statbase2 != null)
-                {
-                    if(statbase1 == null)
-                    {
+                if (statbase1 != null || statbase2 != null) {
+                    if (statbase1 == null) {
                         return 1;
                     }
-                    if(statbase2 == null)
-                    {
+                    if (statbase2 == null) {
                         return -1;
                     }
-                    int k = statsCounter.readStat(statbase1);
-                    int l = statsCounter.readStat(statbase2);
-                    if(k != l)
-                    {
-                        return (k - l) * sortingMode;
+                    int k = ScreenStats.this.statsCounter.readStat(statbase1);
+                    int l = ScreenStats.this.statsCounter.readStat(statbase2);
+                    if (k != l) {
+                        return (k - l) * this.sortingMode;
                     }
                 }
                 return id1 - id2;
@@ -421,66 +362,52 @@ public class ScreenStats extends Screen {
         }
 
         @Override
-        protected void renderHeader(int x, int y, Tessellator tessellator)
-        {
+        protected void renderHeader(int x, int y, TessellatorGeneral tessellator) {
             super.renderHeader(x, y, tessellator);
-            if(clickedColumn == 0)
-            {
+            if (this.clickedColumn == 0) {
                 drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/depleted"));
-            } else
-            {
+            } else {
                 drawGuiIcon((x + COLUMN0_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/depleted"));
             }
-            if(clickedColumn == 1)
-            {
+            if (this.clickedColumn == 1) {
                 drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
-            } else
-            {
+            } else {
                 drawGuiIcon((x + COLUMN1_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/crafted"));
             }
-            if(clickedColumn == 2)
-            {
+            if (this.clickedColumn == 2) {
                 drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE + 1, y + 2, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
-            } else
-            {
+            } else {
                 drawGuiIcon((x + COLUMN2_RIGHT) - STATS_ICON_SIZE, y + 1, 18, 18, TextureRegistry.getTexture("minecraft:gui/screen/stats/used"));
             }
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, Tessellator tessellator)
-        {
+        protected void renderItem(int index, int x, int y, int height, TessellatorGeneral tessellator) {
             StatItem statItem = getStat(index);
             int i1 = statItem.getItemID();
             renderItemAsIcon(x + 40, y, i1);
-            renderStatValue((StatItem)statItem.getItem().getStat(StatList.STAT_DEPLETED), x + COLUMN0_RIGHT, y, index % 2 == 0);
-            renderStatValue((StatItem)statItem.getItem().getStat(StatList.STAT_CRAFTED), x + COLUMN1_RIGHT, y, index % 2 == 0);
+            renderStatValue((StatItem) statItem.getItem().getStat(StatList.STAT_DEPLETED), x + COLUMN0_RIGHT, y, index % 2 == 0);
+            renderStatValue((StatItem) statItem.getItem().getStat(StatList.STAT_CRAFTED), x + COLUMN1_RIGHT, y, index % 2 == 0);
             renderStatValue(statItem, x + COLUMN2_RIGHT, y, index % 2 == 0);
         }
 
         @Override
-        protected String getTooltipKey(int column)
-        {
-            if(column == 1)
-            {
+        protected String getTooltipKey(int column) {
+            if (column == 1) {
                 return "stat.crafted";
             }
-            if(column == 2)
-            {
+            if (column == 2) {
                 return "stat.used";
-            } else
-            {
+            } else {
                 return "stat.depleted";
             }
         }
     }
 
-    public class BlockStatisticsList extends StatsSelectionList
-    {
+    public class BlockStatisticsList extends StatsSelectionList {
 
-        public BlockStatisticsList()
-        {
-            statsList = new ArrayList<>();
+        public BlockStatisticsList() {
+            this.statsList = new ArrayList<>();
             for (Stat stat : Objects.requireNonNull(Item.getStats(StatList.STAT_MINED))) {
                 StatItem statItem = (StatItem) stat;
                 boolean flag = false;
@@ -488,48 +415,43 @@ public class ScreenStats extends Screen {
                 Stat used = statItem.getItem().getStat(StatList.STAT_USED);
                 Stat crafted = statItem.getItem().getStat(StatList.STAT_CRAFTED);
 
-                if (statsCounter.readStat(statItem) > 0) {
+                if (ScreenStats.this.statsCounter.readStat(statItem) > 0) {
                     flag = true;
-                } else if (used != null && statsCounter.readStat(used) > 0) {
+                } else if (used != null && ScreenStats.this.statsCounter.readStat(used) > 0) {
                     flag = true;
-                } else if (crafted != null && statsCounter.readStat(crafted) > 0) {
+                } else if (crafted != null && ScreenStats.this.statsCounter.readStat(crafted) > 0) {
                     flag = true;
                 }
                 if (flag) {
-                    statsList.add(statItem);
+                    this.statsList.add(statItem);
                 }
             }
-            statsSorter = (stat1, stat2) -> {
+            this.statsSorter = (stat1, stat2) -> {
                 int id1 = stat1.getItemID();
                 int id2 = stat2.getItemID();
                 Stat statbase1 = null;
                 Stat statbase2 = null;
-                if(sortingColumn == 2)
-                {
+                if (this.sortingColumn == 2) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_MINED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_MINED);
-                } else if(sortingColumn == 0) {
+                } else if (this.sortingColumn == 0) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_CRAFTED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_CRAFTED);
-                } else if(sortingColumn == 1) {
+                } else if (this.sortingColumn == 1) {
                     statbase1 = stat1.getItem().getStat(StatList.STAT_USED);
                     statbase2 = stat2.getItem().getStat(StatList.STAT_USED);
                 }
-                if(statbase1 != null || statbase2 != null)
-                {
-                    if(statbase1 == null)
-                    {
+                if (statbase1 != null || statbase2 != null) {
+                    if (statbase1 == null) {
                         return 1;
                     }
-                    if(statbase2 == null)
-                    {
+                    if (statbase2 == null) {
                         return -1;
                     }
-                    int k = statsCounter.readStat(statbase1);
-                    int l = statsCounter.readStat(statbase2);
-                    if(k != l)
-                    {
-                        return (k - l) * sortingMode;
+                    int k = ScreenStats.this.statsCounter.readStat(statbase1);
+                    int l = ScreenStats.this.statsCounter.readStat(statbase2);
+                    if (k != l) {
+                        return (k - l) * this.sortingMode;
                     }
                 }
                 return id1 - id2;
